ofa:
  shiro:
    anon:
      - /*/**
      - /login
      - /logout
      - /static/**
      - /verifyCode
      - /fileLocal/**
      - /webjars/**
      - /v2/api-docs
      - /swagger-ui.html
      - /swagger-resources/**
      - /actuator/**
      - /open-api/**
      - /portal-api/**
      - /opens/**
      - /oauth2/**
      - /wx/**
      - /client-api/**
      - /alipay/**
      - /static-resource/**
      - /portal/heritage/find/submit
      - /oauth/**
      - /auth/**
      - /admin/ofaUser/forget-password/**
  feign-token: AC11000128E731CEFDE03BEAD771000A
  xssConfig:
    enable: false
    xss_exclude_urls:
      - /admin/ofaAppConfig/*
      - /admin/ofaMenu/menu/**
      - /admin/ofaChartPage/**
      - /admin/ofaWebApp/**
      - /open-api/**
    whiteAttrs:
      style,target,href,title,shape,coords,alt,autoplay,controls,crossorigin,loop,muted,preload,src,dir,align,valign,span,width,datetime,color,size,face,height,loading,border,rowspan,colspan,playsinline,poster
    whiteTags:
      a,b,blockquote,br,caption,cite,code,col,colgroup,dd,div,dl,dt,em,h1,h2,h3,h4,h5,h6,i,img,li,ol,p,pre,q,small,span,strike,strong,sub,sup,table,tbody,td,tfoot,th,thead,tr,u,ul,abbr,address,area,article,aside,audio,font,footer,header,hr,s,tt,video

mybatis-plus:
  global-config:
    db-config:
      logic-delete-value: 1
      logic-not-delete-value: 0
    banner: false
  configuration:
    log-impl: org.apache.ibatis.logging.slf4j.Slf4jImpl
    local-cache-scope: session
    call-setters-on-nulls: true

feign:
  client:
    config:
      default:
        connectTimeout: 90000
        readTimeout: 90000
        logger-level: FULL
  httpclient:
    enabled: false
    disableSslValidation: true
  okhttp:
    enabled: true
  compression:
    request:
      enabled: true
      min-request-size: 8192
    response:
      enabled: true
ribbon:
  ReadTimeout: 60000
  ConnectTimeout: 60000

spring:
  data:
    solr:
      host: http://127.0.0.1:8983/solr/biblio
  #  redis:
  #    enable: false
  #    open: false
  #    database: 0
  #    host: 10.10.6.223
  #    port: 16379
  #    password: tcredis@
  #    timeout: 6000
  #    jedis:
  #      pool:
  #        max-active: 1000
  #        max-wait: -1
  #        max-idle: 10
  #        min-idle: 5
  cache:
    type: ehcache
    ehcache:
      config: classpath:ehcache.xml
    #type: redis
  #    redis:
  #      time-to-live: 2h
  jackson:
    date-format: yyyy-MM-dd HH:mm:ss
  servlet:
    multipart:
      max-request-size: 50MB
      max-file-size: 50MB
    config:
      override-none: on
  datasource:
    druid:
      # url: jdbc:mysql://10.10.6.85:3306/pordss-admin-service-dev?useUnicode=true&characterEncoding=utf-8&serverTimezone=GMT%2B8&useSSL=false
      # driver-class-name: com.mysql.cj.jdbc.Driver
      url: jdbc:oracle:thin:@j.tcsoft.info:1521:ora11g
      driver-class-name: oracle.jdbc.OracleDriver
      username: interlib
      password: interlib
      initial-size: 10
      max-active: 10
      min-idle: 10
      max-wait: 60000
      max-pool-prepared-statement-per-connection-size: 20
      pool-prepared-statements: true
      time-between-eviction-runs-millis: 60000
      min-evictable-idle-time-millis: 300000
      max-evictable-idle-time-millis: 600000  # 10分钟
      validation-query: select 1 from dual
      test-while-idle: true
      # 关闭获取连接时强制检测（性能优化）
      test-on-borrow: false
      # 启用Druid保活线程（1.1.16+版本支持）
      keep-alive: true
      # 保活检测间隔（建议与time-between一致）
      keep-alive-between-time-millis: 60000
      # 连接最大存活时间（建议 ≤ 数据库连接最大寿命）
      max-lifetime: 1800000  # 30分钟
  flyway:
    baseline-on-migrate: false
    baseline-version: 1
  main:
    allow-bean-definition-overriding: true
logging:
  config: classpath:logback-spring.xml
file-upload:
  type: local
  local:
    savePath: ./
  autoconfigure:
    exclude: cn.com.tcc.ofa.common.config.RedisConfig
